import numpy as np 
from da.ctdata import fluxload
import logging
def simplescaling(parameterobject,dates,qual,mean_only=False,timeavg=True,lag=0,fluxfunc=None,altkey=None):
    if fluxfunc is None:
        if altkey is None:
            flux,ctname=fluxload.fetch_data(parameterobject.fluxname,dates) 
        else:
            flux,ctname=fluxload.load_wrapper(altkey,dates,False) 
    else:
        flux,ctname=fluxfunc(dates,parameterobject) 
    nmem=parameterobject.nmembers
    if mean_only:
        nmem=1
    fluxshape=np.shape(flux)
    if len(fluxshape)==4 and not timeavg:
        results={'%s_flux_%s_ensemble' % (ctname,qual) : np.zeros((nmem,fluxshape[0],fluxshape[1],parameterobject.nlat,parameterobject.nlon)) } 
    else:
        results={'%s_flux_%s_ensemble' % (ctname,qual) : np.zeros((nmem,fluxshape[0],1,parameterobject.nlat,parameterobject.nlon)) } 
    for nr in range(0,nmem):
        if timeavg:
            if np.shape(flux)==(len(dates),parameterobject.nlat,parameterobject.nlon):
                results['%s_flux_%s_ensemble' % (ctname,qual) ][nr,0,0,:,:]= np.mean(flux*parameterobject.vector_to_4d(nr,dates,lag=lag),axis=0)
            else: 
                results['%s_flux_%s_ensemble' % (ctname,qual) ][nr,0,0,:,:]= np.mean(np.mean(flux*parameterobject.vector_to_4d(nr,dates,lag=lag)[:,np.newaxis,:,:],axis=1),axis=0)
        else:    
            if np.shape(flux)==(len(dates),parameterobject.nlat,parameterobject.nlon):
                results['%s_flux_%s_ensemble' % (ctname,qual) ][nr,:,:,:,:]= (flux*parameterobject.vector_to_4d(nr,dates,lag=lag))[:,np.newaxis,:,:]
            else: 
                results['%s_flux_%s_ensemble' % (ctname,qual) ][nr,:,:,:,:]= flux*parameterobject.vector_to_4d(nr,dates,lag=lag)[:,np.newaxis,:,:]
    return results



# def alphagppdict(parameterobject,gpp,qual):
#     results={'co2c13_gpp_flux_%s_ensemble' % (qual)  : np.zeros((parameterobject.nmembers,parameterobject.nlat,parameterobject.nlon)),
#              'co2_gpp_flux_imp' :  np.zeros((parameterobject.nlat,parameterobject.nlon)) } 
#     results['co2_gpp_flux_imp'][:,:]= np.mean(np.mean(gpp,axis=1),axis=0)
#     return results 

# def alphagppadd(parameterobject,dates,qual):
#     gpp,alpha=alphagppload(parameterobject,dates)
#     results=alphagppdict(parameterobject,gpp,qual)
#     for nr in range(0,parameterobject.nmembers):
#         scaling=parameterobject.vector_to_4d(nr,dates)
#         alphaRscaled=(scaling[:,np.newaxis,:,:]+alpha)*Ratm
#         results['co2c13_gpp_flux_%s_ensemble' % (qual) ][nr,:,:]= np.mean(np.mean(gpp*(alphaRscaled/(1+alphaRscaled)),axis=1),axis=0)
#     return results

# def alphagppmul(parameterobject,dates,qual):
#     gpp,alpha=alphagppload(parameterobject,dates)
#     results=alphagppdict(parameterobject,gpp,qual)
#     for nr in range(0,parameterobject.nmembers):
#         scaling=parameterobject.vector_to_4d(nr,dates)
#         alphaRscaled=scaling[:,np.newaxis,:,:]*alpha*Ratm
#         results['co2c13_gpp_flux_%s_ensemble' % (qual) ][nr,:,:]= np.mean(np.mean(gpp*(alphaRscaled/(1+alphaRscaled)),axis=1),axis=0)
#     return results

