"""CarbonTracker Data Assimilation Shell (CTDAS) Copyright (C) 2017 Wouter Peters. 
Users are recommended to contact the developers (wouter.peters@wur.nl) to receive
updates of the code. See also: http://www.carbontracker.eu. 

This program is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software Foundation, 
version 3. This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along with this 
program. If not, see <http://www.gnu.org/licenses/>."""
#!/usr/bin/env python

if __name__=='__main__': 
    import sys
    import os
    import logging
    sys.path.append(os.getcwd())
    from da.cyclecontrol.initexit_cteco2 import start_logger, validate_opts_args, parse_options
    from da.pipelines.pipeline_ctecc import start_ctdas
    start_logger()
    # Parse and validate the command line options, start logging
    # Create the objects as needed and start the main program
    logging.info("CarbonTracker Data Assimilation Shell")
    logging.info("Starting main program")
    start_ctdas(*validate_opts_args(*parse_options()))
    logging.info("Exiting")
    sys.exit(0)


